Subject: [mobile-ip] RFC3220: Why allowing FA to reject RRQ with error code 136

From: "Ahmad Muhanna" <[email-masked]>
Date: Sat, 29 Jun 2002 02:07:57 -0500

Hello Charlie,

I noticed that RFC3220 allows the FA to reject RRQ message with error code
136 as specified in paragraph 2 in section 3.7.2.

This creates some conflicts as explained below:
1. In section 3.4. error code 136 is listed under "Registration denied by
the home agent:"

2. In section 3.6.2.3., we read:
"Code 136:  (Denied by home agent, Unknown home agent address)
....... "

3. Already deployed MN consider, as (RFC2002) RFC3220 define, that error
code 136 is generated by the HA and expects to see MN-HA Authentication
extension where FA ABSOLUTELY has no capabilities of generating.
see section 3.6.2.1 (b).

4. MN are supposed to retransmit RRQ when receiving a RRP with error code of
136. It also assumed to use the IP address inserted in the HA IP address
field in the RRP. see section 3.6.2.3. 
Apparently it is not the case when FA rejects the request with RRP message
and error code 136!!!

5. I believe that keeping those error codes seperated as generated by FA and
HA is very useful and I assume that was the intention to start with as
stated in section 3.6.2. RFC2002(RFC3220).

I believe this creates more problems than solving.

Your clarification is greatly appreciated.

Regards,
Ahmad Muhanna

---

From: Charlie Perkins <[email-masked]>
Date: Sat, 29 Jun 2002 08:42:18 -0700

Hello Ahmad,

In the situation described in that paragraph, the mobile node
has used the "wrong" home agent address.  I thought the solution
was reasonable.  Perhaps the wording should be clarified
somewhere else, but if the mobility agent denies in this
circumstance, there is no chance for MN-HA anyway.  In
fact, I guess there's no chance whenever 136 is received.

If you would like to suggest an improvement, that would
be nice.  Maybe the paragraph just doesn't belong there.

Regards,
Charlie P.

Ahmad Muhanna wrote:

>
>
> Hello Charlie,
>
> I noticed that RFC3220 allows the FA to reject RRQ message with error
> code 136 as specified in paragraph 2 in section 3.7.2.
>
> 1. In section 3.4. error code 136 is listed under "Registration denied
> by the home agent:"
>
> 3. Already deployed MN consider, as (RFC2002) RFC3220 define, that
> error code 136 is generated by the HA and expects to see MN-HA
> Authentication extension where FA ABSOLUTELY has no capabilities of
> generating.
>
> see section 3.6.2.1 (b).
>
> 4. MN are supposed to retransmit RRQ when receiving a RRP with error
> code of 136. It also assumed to use the IP address inserted in the HA
> IP address field in the RRP. see section 3.6.2.3.
>
> Apparently it is not the case when FA rejects the request with RRP
> message and error code 136!!!
>
> 5. I believe that keeping those error codes seperated as generated by
> FA and HA is very useful and I assume that was the intention to start
> with as stated in section 3.6.2. RFC2002(RFC3220).
>